{
    "$graph": [
        {
            "label": "align_filter",
            "class": "CommandLineTool",
            "baseCommand": "align_filter",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#align_filter.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-filter"
                    },
                    "id": "#align_filter.cwl/filter"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#align_filter.cwl/ifmt"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#align_filter.cwl/input"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#align_filter.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "align.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#align_filter.cwl/o_name"
                },
                {
                    "type": "string",
                    "default": "align-nomatch.asn",
                    "inputBinding": {
                        "prefix": "-non-match-output"
                    },
                    "id": "#align_filter.cwl/onon_match_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-subject-whitelist"
                    },
                    "id": "#align_filter.cwl/subject_whitelist"
                }
            ],
            "id": "#align_filter.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o_name)"
                    },
                    "id": "#align_filter.cwl/o"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.onon_match_name)"
                    },
                    "id": "#align_filter.cwl/onon_match"
                }
            ]
        },
        {
            "id": "#align_find_frequent_sas.cwl",
            "label": "align_find_frequent_sas",
            "class": "CommandLineTool",
            "baseCommand": "align_find_frequent",
            "doc": "",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#align_find_frequent_sas.cwl/align_find_frequent/align"
                },
                {
                    "type": "string",
                    "default": "seq-align-set",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#align_find_frequent_sas.cwl/align_find_frequent/ifmt"
                },
                {
                    "type": "string",
                    "default": "frequent.seq_ids",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#align_find_frequent_sas.cwl/align_find_frequent/out_name"
                },
                {
                    "type": "int",
                    "default": 1,
                    "inputBinding": {
                        "prefix": "-row"
                    },
                    "id": "#align_find_frequent_sas.cwl/align_find_frequent/row"
                },
                {
                    "type": "int",
                    "default": 10,
                    "inputBinding": {
                        "prefix": "-threshold"
                    },
                    "id": "#align_find_frequent_sas.cwl/align_find_frequent/threshold"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_name)"
                    },
                    "id": "#align_find_frequent_sas.cwl/align_find_frequent/frequent"
                }
            ]
        },
        {
            "label": "blastn_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "blastn_wnode",
            "inputs": [
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#blastn_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-best_hit_overhang"
                    },
                    "id": "#blastn_wnode.cwl/best_hit_overhang"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-best_hit_score_edge"
                    },
                    "id": "#blastn_wnode.cwl/best_hit_score_edge"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-blastdb",
                        "valueFrom": "$(inputs.blastdb_dir.path)/$(inputs.blastdb)"
                    },
                    "id": "#blastn_wnode.cwl/blastdb"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#blastn_wnode.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-dust"
                    },
                    "id": "#blastn_wnode.cwl/dust"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.01,
                    "inputBinding": {
                        "prefix": "-evalue"
                    },
                    "id": "#blastn_wnode.cwl/evalue"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#blastn_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 250,
                    "inputBinding": {
                        "prefix": "-max_target_seqs"
                    },
                    "id": "#blastn_wnode.cwl/max_target_seqs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#blastn_wnode.cwl/output_dir"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-perc_identity"
                    },
                    "id": "#blastn_wnode.cwl/perc_identity"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "-soft_masking"
                    },
                    "id": "#blastn_wnode.cwl/soft_masking"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-swap-rows"
                    },
                    "id": "#blastn_wnode.cwl/swap_rows"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "blastn",
                    "inputBinding": {
                        "prefix": "-task"
                    },
                    "id": "#blastn_wnode.cwl/task"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 12,
                    "inputBinding": {
                        "prefix": "-word_size"
                    },
                    "id": "#blastn_wnode.cwl/word_size"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#blastn_wnode.cwl/outdir"
                }
            ],
            "id": "#blastn_wnode.cwl"
        },
        {
            "class": "CommandLineTool",
            "id": "#generate_fscr_feats.cwl",
            "baseCommand": "generate_fscr_feats",
            "label": "generate_fscr_feats",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-excluded-seqs"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/excluded_seqs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/input"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-label-suffix"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/label_suffix"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/o"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-source"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/source"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o)"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/feats"
                }
            ]
        },
        {
            "label": "gpx_make_outputs",
            "class": "CommandLineTool",
            "baseCommand": "gpx_make_outputs",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_make_outputs.cwl/input_path"
                },
                {
                    "doc": "this parameter is fixed for this command line workflow, because the output is defined as single file\n",
                    "type": "int",
                    "default": 1,
                    "inputBinding": {
                        "prefix": "-num-partitions"
                    },
                    "id": "#gpx_make_outputs.cwl/num_partitions"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_make_outputs.cwl/output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#gpx_make_outputs.cwl/output_glob"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "*",
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_make_outputs.cwl/unzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_glob)"
                    },
                    "id": "#gpx_make_outputs.cwl/output_file"
                }
            ],
            "id": "#gpx_make_outputs.cwl"
        },
        {
            "label": "gpx_qsubmit",
            "doc": "This workflow is specialized for the case when there is an LDS2 input  LDS2 is a _reference_ object, the kind that CWL does not like we need to provide actual input: proteins which matches the name of ASN.1 object references in LDS2 Another limitation is that it can handle no more than two item arrays in blastdb_dir and asn_cache Workaround used so far: in:\n  proteins:\n    default:\n        class: File\n        path: '/dev/null'\n        basename: 'null'\n        contents: ''\n",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=0; var s=inputs.blastdb_dir.length-1; var as = cs; if(as >= s) {as = s }; return inputs.blastdb_dir[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=1; var s=inputs.blastdb_dir.length-1; var as = cs; if(as >= s) {as = s }; return inputs.blastdb_dir[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=0; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=1; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entryname": "ids.mft",
                            "entry": "${var blob = '# ids.mft created for gpx_qsubmit from input ids Array of Files\\n';for (var i = 0; i < inputs.ids.length; i++) {blob += inputs.ids[i].path  + '\\n';}return blob;}"
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-NxM-threshold"
                    },
                    "id": "#gpx_qsubmit.cwl/NxM_threshold"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "subject",
                    "inputBinding": {
                        "prefix": "-affinity"
                    },
                    "id": "#gpx_qsubmit.cwl/affinity"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#gpx_qsubmit.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-batch-size"
                    },
                    "id": "#gpx_qsubmit.cwl/batch_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-db",
                        "valueFrom": "${ var blob = ''; for (var i = 0; i < inputs.blastdb_dir.length; i++) { blob += inputs.blastdb_dir[i].path + '/' + inputs.blastdb[i]; if(i != inputs.blastdb_dir.length-1) blob += ','; } return blob; }"
                    },
                    "id": "#gpx_qsubmit.cwl/blastdb"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "id": "#gpx_qsubmit.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#gpx_qsubmit.cwl/ids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ids.mft",
                    "inputBinding": {
                        "prefix": "-ids-manifest"
                    },
                    "id": "#gpx_qsubmit.cwl/ids_manifest"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#gpx_qsubmit.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-batch-length"
                    },
                    "id": "#gpx_qsubmit.cwl/max_batch_length"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": null,
                    "id": "#gpx_qsubmit.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gpx_qsubmit.cwl/output_xml_jobs"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-overlap"
                    },
                    "id": "#gpx_qsubmit.cwl/overlap"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gpx_qsubmit.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-queries-gc-id-list"
                    },
                    "id": "#gpx_qsubmit.cwl/queries_gc_id_list"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-subjects-gc-id-list"
                    },
                    "id": "#gpx_qsubmit.cwl/subjects_gc_id_list"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-subseq-size"
                    },
                    "id": "#gpx_qsubmit.cwl/subseq_size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-xml-jobs"
                    },
                    "id": "#gpx_qsubmit.cwl/xml_jobs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_xml_jobs)"
                    },
                    "id": "#gpx_qsubmit.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl"
        },
        {
            "label": "tt_blastn_wnode",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#tt_blastn_wnode.cwl/affinity"
                },
                {
                    "type": "Directory",
                    "id": "#tt_blastn_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#tt_blastn_wnode.cwl/best_hit_overhang"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#tt_blastn_wnode.cwl/best_hit_score_edge"
                },
                {
                    "type": "string",
                    "id": "#tt_blastn_wnode.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#tt_blastn_wnode.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#tt_blastn_wnode.cwl/dust"
                },
                {
                    "type": "float",
                    "id": "#tt_blastn_wnode.cwl/evalue"
                },
                {
                    "type": "File",
                    "id": "#tt_blastn_wnode.cwl/ids_out"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastn_wnode.cwl/max_batch_length"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastn_wnode.cwl/max_target_seqs"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#tt_blastn_wnode.cwl/perc_identity"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#tt_blastn_wnode.cwl/soft_masking"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#tt_blastn_wnode.cwl/task"
                },
                {
                    "type": "int",
                    "id": "#tt_blastn_wnode.cwl/word_size"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_blastn_wnode.cwl/gpx_make_outputs/output_file",
                    "id": "#tt_blastn_wnode.cwl/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#blastn_wnode.cwl",
                    "in": [
                        {
                            "source": "#tt_blastn_wnode.cwl/asn_cache",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/asn_cache"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/best_hit_overhang",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/best_hit_overhang"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/best_hit_score_edge",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/best_hit_score_edge"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/blastdb",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/blastdb"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/blastdb_dir",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/blastdb_dir"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/dust",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/dust"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/evalue",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/evalue"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/gpx_qsubmit/jobs",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/input_jobs"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/max_target_seqs",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/max_target_seqs"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/perc_identity",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/perc_identity"
                        },
                        {
                            "default": "true",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/soft_masking"
                        },
                        {
                            "default": false,
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/swap_rows"
                        },
                        {
                            "default": "blastn",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/task"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/word_size",
                            "id": "#tt_blastn_wnode.cwl/blastn_wnode/word_size"
                        }
                    ],
                    "out": [
                        "#tt_blastn_wnode.cwl/blastn_wnode/outdir"
                    ],
                    "id": "#tt_blastn_wnode.cwl/blastn_wnode"
                },
                {
                    "run": "#gpx_make_outputs.cwl",
                    "in": [
                        {
                            "source": "#tt_blastn_wnode.cwl/blastn_wnode/outdir",
                            "id": "#tt_blastn_wnode.cwl/gpx_make_outputs/input_path"
                        },
                        {
                            "default": 1,
                            "id": "#tt_blastn_wnode.cwl/gpx_make_outputs/num_partitions"
                        },
                        {
                            "default": "blast.#.asn",
                            "id": "#tt_blastn_wnode.cwl/gpx_make_outputs/output"
                        },
                        {
                            "default": "blast.*.asn",
                            "id": "#tt_blastn_wnode.cwl/gpx_make_outputs/output_glob"
                        }
                    ],
                    "out": [
                        "#tt_blastn_wnode.cwl/gpx_make_outputs/output_file"
                    ],
                    "id": "#tt_blastn_wnode.cwl/gpx_make_outputs"
                },
                {
                    "run": "#gpx_qsubmit.cwl",
                    "in": [
                        {
                            "source": "#tt_blastn_wnode.cwl/affinity",
                            "id": "#tt_blastn_wnode.cwl/gpx_qsubmit/affinity"
                        },
                        {
                            "source": [
                                "#tt_blastn_wnode.cwl/asn_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_blastn_wnode.cwl/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": [
                                "#tt_blastn_wnode.cwl/blastdb"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_blastn_wnode.cwl/gpx_qsubmit/blastdb"
                        },
                        {
                            "source": [
                                "#tt_blastn_wnode.cwl/blastdb_dir"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_blastn_wnode.cwl/gpx_qsubmit/blastdb_dir"
                        },
                        {
                            "source": [
                                "#tt_blastn_wnode.cwl/ids_out"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_blastn_wnode.cwl/gpx_qsubmit/ids"
                        },
                        {
                            "source": "#tt_blastn_wnode.cwl/max_batch_length",
                            "id": "#tt_blastn_wnode.cwl/gpx_qsubmit/max_batch_length"
                        },
                        {
                            "default": true,
                            "id": "#tt_blastn_wnode.cwl/gpx_qsubmit/nogenbank"
                        },
                        {
                            "default": {
                                "class": "File",
                                "path": "https://raw.githubusercontent.com/dev/null",
                                "basename": "null",
                                "contents": ""
                            },
                            "id": "#tt_blastn_wnode.cwl/gpx_qsubmit/proteins"
                        }
                    ],
                    "out": [
                        "#tt_blastn_wnode.cwl/gpx_qsubmit/jobs"
                    ],
                    "id": "#tt_blastn_wnode.cwl/gpx_qsubmit"
                }
            ],
            "id": "#tt_blastn_wnode.cwl"
        },
        {
            "class": "Workflow",
            "id": "#main",
            "label": "bacterial_screening",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#main/contam_in_prok_blastdb_dir"
                },
                {
                    "type": "File",
                    "id": "#main/contig_gilist"
                }
            ],
            "steps": [
                {
                    "run": "#tt_blastn_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/BLAST_Against_contam_in_prok/asn_cache"
                        },
                        {
                            "default": 0.1,
                            "id": "#main/BLAST_Against_contam_in_prok/best_hit_overhang"
                        },
                        {
                            "default": 0.1,
                            "id": "#main/BLAST_Against_contam_in_prok/best_hit_score_edge"
                        },
                        {
                            "default": "contam_in_prok",
                            "id": "#main/BLAST_Against_contam_in_prok/blastdb"
                        },
                        {
                            "source": "#main/contam_in_prok_blastdb_dir",
                            "id": "#main/BLAST_Against_contam_in_prok/blastdb_dir"
                        },
                        {
                            "default": "yes",
                            "id": "#main/BLAST_Against_contam_in_prok/dust"
                        },
                        {
                            "default": 0.0001,
                            "id": "#main/BLAST_Against_contam_in_prok/evalue"
                        },
                        {
                            "source": "#main/contig_gilist",
                            "id": "#main/BLAST_Against_contam_in_prok/ids_out"
                        },
                        {
                            "default": 90,
                            "id": "#main/BLAST_Against_contam_in_prok/perc_identity"
                        },
                        {
                            "default": "megablast",
                            "id": "#main/BLAST_Against_contam_in_prok/task"
                        },
                        {
                            "default": 28,
                            "id": "#main/BLAST_Against_contam_in_prok/word_size"
                        }
                    ],
                    "out": [
                        "#main/BLAST_Against_contam_in_prok/blast_align"
                    ],
                    "id": "#main/BLAST_Against_contam_in_prok"
                },
                {
                    "in": [
                        {
                            "source": [
                                "#main/asn_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Filter_contam_in_prok_BLAST_Results/asn_cache"
                        },
                        {
                            "default": " (align_length >= 50 && pct_identity_gap >= 98) || (align_length >= 100 && pct_identity_gap >= 94) || (align_length >= 200 && pct_identity_gap >= 90)",
                            "id": "#main/Filter_contam_in_prok_BLAST_Results/filter"
                        },
                        {
                            "default": "seq-align-set",
                            "id": "#main/Filter_contam_in_prok_BLAST_Results/ifmt"
                        },
                        {
                            "source": "#main/BLAST_Against_contam_in_prok/blast_align",
                            "id": "#main/Filter_contam_in_prok_BLAST_Results/input"
                        },
                        {
                            "default": false,
                            "id": "#main/Filter_contam_in_prok_BLAST_Results/nogenbank"
                        },
                        {
                            "source": "#main/Find_Frequent_contam_in_prok_Hits/frequent",
                            "id": "#main/Filter_contam_in_prok_BLAST_Results/subject_whitelist"
                        }
                    ],
                    "out": [
                        "#main/Filter_contam_in_prok_BLAST_Results/o",
                        "#main/Filter_contam_in_prok_BLAST_Results/onon_match"
                    ],
                    "run": "#align_filter.cwl",
                    "label": "align_filter",
                    "id": "#main/Filter_contam_in_prok_BLAST_Results"
                },
                {
                    "in": [
                        {
                            "source": "#main/BLAST_Against_contam_in_prok/blast_align",
                            "id": "#main/Find_Frequent_contam_in_prok_Hits/align"
                        }
                    ],
                    "out": [
                        "#main/Find_Frequent_contam_in_prok_Hits/frequent"
                    ],
                    "run": "#align_find_frequent_sas.cwl",
                    "label": "align_find_frequent_sas",
                    "id": "#main/Find_Frequent_contam_in_prok_Hits"
                },
                {
                    "in": [
                        {
                            "source": "#main/Filter_contam_in_prok_BLAST_Results/o",
                            "id": "#main/Generate_contam_in_prok_hit_features/input"
                        },
                        {
                            "default": "contam_in_prok",
                            "id": "#main/Generate_contam_in_prok_hit_features/label_suffix"
                        },
                        {
                            "default": "feats.asn",
                            "id": "#main/Generate_contam_in_prok_hit_features/o"
                        },
                        {
                            "default": "vector",
                            "id": "#main/Generate_contam_in_prok_hit_features/source"
                        }
                    ],
                    "out": [
                        "#main/Generate_contam_in_prok_hit_features/feats"
                    ],
                    "run": "#generate_fscr_feats.cwl",
                    "label": "generate_fscr_feats",
                    "id": "#main/Generate_contam_in_prok_hit_features"
                }
            ],
            "outputs": [
                {
                    "outputSource": "#main/BLAST_Against_contam_in_prok/blast_align",
                    "type": "File",
                    "id": "#main/blast_align"
                },
                {
                    "outputSource": "#main/Generate_contam_in_prok_hit_features/feats",
                    "type": "File",
                    "id": "#main/feats"
                },
                {
                    "outputSource": "#main/Filter_contam_in_prok_BLAST_Results/o",
                    "type": "File",
                    "id": "#main/filtered_align"
                }
            ]
        }
    ],
    "cwlVersion": "v1.0"
}
